## pdns 4.2.1

=== debian/changelog ===
pdns (4.2.1-1build2) focal; urgency=medium

  * No change rebuild against new boost1.71 on armhf ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 17:03:44 +0000

pdns (4.2.1-1build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 02 Feb 2020 20:24:58 +0100

pdns (4.2.1-1) unstable; urgency=medium

  * New upstream version 4.2.1

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 02 Dec 2019 22:47:13 +0000

pdns (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0, upload to unstable.
  * pdns-backend-sqlite3: ensure default database path is writable.
    Needed for WAL mode.
  * d/copyright: Update
  * Build, but do not actually ship new LMDB backend
  * Qualify built binaries at build time

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 30 Aug 2019 10:53:16 +0000

pdns (4.2.0~rc2-1) experimental; urgency=medium

  * New upstream version 4.2.0~rc2 (Closes: #918661, #916408)
  * Bump Standards-Version to 4.4.0
  * Use debhelper-compat v12
  * Revert "Link with libatomic.so to fix build failure on armel"
  * Ship DEP12 UpstreamMetadata per user request
  * Remove pdns-backend-opendbx.
    OpenDBX is unmaintained in Debian and possibly upstream, too.
  * Use pdns_control rping in init script.
    Makes the init script useful on systemd systems, too. (Closes: #876775)
  * autopkgtests: add more guessed workarounds for debci
  * Build-Depend on systemd for proper version detection
  * Remove preinst code for upgrades from before 4.0.0-3
  * Remove ddeb/dbgsym breaks, from before 4.0.0
  * d/control: simplify Build-Depends and remove old Breaks/Replaces
  * d/rules: simplify and sync with dnsdist, pdns-recursor
  * pdns-ixfrdist: Add ixfrdist init script
  * backends: take schema files from `make install` location
  * pdns-tools: install dnspcap2calidns, stubquery

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 21 Jul 2019 20:59:16 +0000

pdns (4.2.0~rc1-2) experimental; urgency=medium

  * Link with libatomic.so to fix build failure on armel
  * Build with protobuf support

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 07 May 2019 09:29:57 +0000

pdns (4.2.0~rc1-1) experimental; urgency=medium

  * New upstream version 4.2.0~rc1
  * Ship upstream-supplied LDAP schema instead of our copy
  * Add new ixfrdist binary package

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 27 Apr 2019 23:55:14 +0000

pdns (4.2.0~alpha1-1) experimental; urgency=medium

  * New upstream version 4.2.0~alpha1
  * Depend: libmaxminddb-dev for geoip backend
  * Depend: libcurl4-openssl-dev for LUA record type
  * configure: drop --enable-libsodium in favor of autodetection

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 14 Jan 2019 14:51:37 +0000
