=== debian/control ===
Source: pdns
Section: net
Priority: optional
Standards-Version: 4.4.0
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: pdns packagers <pdns@packages.debian.org>
Uploaders: Chris Hofstaedtler <zeha@debian.org>,
           Marc Haber <mh+debian-packages@zugschlus.de>
Build-Depends: bison,
               curl,
               debhelper-compat (= 12),
               default-libmysqlclient-dev,
               dnsutils,
               flex,
               libboost-all-dev,
               libcdb-dev,
               libcurl4-openssl-dev,
               libgeoip-dev,
               libkrb5-dev,
               libldap2-dev,
               liblmdb-dev,
               liblua5.3-dev,
               libmaxminddb-dev,
               libpq-dev,
               libprotobuf-dev,
               libsodium-dev,
               libsqlite3-dev,
               libssl-dev,
               libsystemd-dev [linux-any],
               libyaml-cpp-dev (>= 0.5),
               pkg-config,
               po-debconf,
               protobuf-compiler,
               ragel,
               systemd [linux-any],
               unixodbc-dev (>= 2.3.1)
Vcs-Git: https://salsa.debian.org/dns-team/pdns.git
Vcs-Browser: https://salsa.debian.org/dns-team/pdns
Homepage: https://www.powerdns.com/
Rules-Requires-Root: no

Package: pdns-server
Architecture: any
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: pdns-backend-bind
Suggests: pdns-backend
Description: extremely powerful and versatile nameserver
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This is the authoritative nameserver that answers questions about
 domains that it knows about. You also need at least one backend installed to
 serve data.

Package: pdns-tools
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Tools for DNS debugging by PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains several tools to debug DNS issues. These tools do not
 require any part of the PowerDNS server components to work.
 .
   * dnsbulktest: A resolver stress-tester
   * dnsgram: Show per 5-second statistics to study intermittent resolver issues
   * dnsreplay: Replay a pcap with DNS queries
   * dnsscan: Prints the query-type amounts in a pcap
   * dnsscope: Calculates statistics without replaying traffic
   * dnstcpbench: Perform TCP benchmarking of DNS servers
   * dnswasher: Clean a pcap of identifying IP information
   * ixplore: Explore diffs from IXFRs
   * nsec3dig: Calculate the correctness of NSEC3 proofs
   * saxfr: AXFR zones and show extra information

Package: pdns-ixfrdist
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Redistribute DNS zones over AXFR/IXFR
 Transfers zones from an authoritative DNS server and serves them
 over AXFR and IXFR, caching multiple versions as needed on disk.
 This tool does not require any part of the PowerDNS server
 components to work.

Package: pdns-backend-bind
Architecture: any
Depends: pdns-server (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: pdns-backend
Description: BIND backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the bind backend for the PowerDNS nameserver.
 Zone data will be read from flat BIND-style zone files, and the list
 of zones needs to be given in a named.conf-style file.

Package: pdns-backend-pipe
Architecture: any
Depends: pdns-server (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: pdns-backend
Description: pipe/coprocess backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the pipe backend for the PowerDNS nameserver. This
 allows PowerDNS to retrieve domain info from a process that accepts
 questions on stdin and returns answers on stdout.

Package: pdns-backend-ldap
Architecture: any
Depends: pdns-server (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: pdns-backend
Description: LDAP backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the LDAP backend for the PowerDNS nameserver.

#Package: pdns-backend-lmdb
#Architecture: any
#Depends: pdns-server (= ${binary:Version}),
#         ${misc:Depends},
#         ${shlibs:Depends}
#Provides: pdns-backend
#Description: LMDB backend for PowerDNS
# PowerDNS is a versatile nameserver which supports a large number
# of different backends ranging from simple zonefiles to relational
# databases and load balancing/failover algorithms.
# PowerDNS tries to emphasize speed and security.
# .
# This package contains the LMDB backend for the PowerDNS nameserver.

Package: pdns-backend-geoip
Architecture: any
Depends: pdns-server (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: pdns-backend
Description: GeoIP backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the GeoIP backend for the PowerDNS nameserver. This
 backend balances the load throughout the world so that people access the
 geographically nearest available server based on a zonefile written in
 YAML.

Package: pdns-backend-mysql
Architecture: any
Depends: pdns-server (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: default-mysql-server
Provides: pdns-backend
Description: MySQL backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the MySQL backend for the PowerDNS
 nameserver. It has configurable SQL statements.

Package: pdns-backend-odbc
Architecture: any
Depends: pdns-server (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: pdns-backend
Description: UnixODBC backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains a UnixODBC backend for the PowerDNS
 nameserver. It has configurable SQL statements.

Package: pdns-backend-pgsql
Architecture: any
Depends: pdns-server (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: postgresql
Provides: pdns-backend
Description: PostgreSQL backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the PostgreSQL backend for the PowerDNS
 nameserver. It has configurable SQL statements.

Package: pdns-backend-sqlite3
Architecture: any
Depends: pdns-server (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: pdns-backend
Description: sqlite 3 backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the SQLite 3 backend for the PowerDNS
 nameserver.

Package: pdns-backend-lua
Architecture: any
Depends: pdns-server (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: pdns-backend
Description: Lua backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the Lua backend for the PowerDNS
 nameserver.

Package: pdns-backend-remote
Architecture: any
Depends: pdns-server (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: pdns-backend
Description: remote backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the remote backend for PowerDNS. It is suitable
 for serving data acquired from an AF_UNIX, pipe, or HTTP connector.

Package: pdns-backend-mydns
Architecture: any
Depends: pdns-server (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: pdns-backend
Description: MyDNS compatibility backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the MyDNS compatibility backend for the PowerDNS
 nameserver.

Package: pdns-backend-tinydns
Architecture: any
Depends: pdns-server (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: pdns-backend
Description: tinydns compatibility backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the tinydns compatibility backend for the PowerDNS
 nameserver.
