## pdns 4.3.0

=== debian/changelog ===
pdns (4.3.0-4build2) groovy; urgency=medium

  * Rebuild against new libprotobuf23.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 26 Jul 2020 10:20:59 +0200

pdns (4.3.0-4build1) groovy; urgency=medium

  * Rebuild against new yaml-cpp.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 May 2020 14:23:11 +0200

pdns (4.3.0-4) unstable; urgency=medium

  * Update READMEs and tests to include chgrp as needed

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 04 May 2020 11:07:59 +0000

pdns (4.3.0-3) unstable; urgency=medium

  * Fix build failure on !amd64

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 03 May 2020 21:53:07 +0000

pdns (4.3.0-2) unstable; urgency=medium

  * Re-release as 4.3.0-2 to work around upload problem.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 03 May 2020 20:54:33 +0000

pdns (4.3.0-1) unstable; urgency=medium

  * New upstream version 4.3.0
  * Follow upstream init support changes.
    Upstream has moved around socket dir and there are known issues with the
    init scripts. Operators will be better off just using the systemd units
    instead.
    pdns-server now starts as the pdns user, so powerdns.conf needs to be
    readable by this user; postinst fixes this.
  * Remove packages for upstream removed backends: lua, mydns
  * Enable core features: Lua records, protobuf
  * pdns-backend-bind: install schema files
  * Bump Standards-Version to 4.5.0
  * Use debhelper v13

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 07 Apr 2020 15:26:55 +0000
