=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: pdns
 Section: net
 Priority: optional
-Standards-Version: 4.4.0
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: pdns packagers <pdns@packages.debian.org>
+Standards-Version: 4.5.0
+Maintainer: pdns packagers <pdns@packages.debian.org>
 Uploaders: Chris Hofstaedtler <zeha@debian.org>,
            Marc Haber <mh+debian-packages@zugschlus.de>
 Build-Depends: bison,
                curl,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                default-libmysqlclient-dev,
                dnsutils,
                flex,
@@ -231,21 +230,6 @@
  This package contains the SQLite 3 backend for the PowerDNS
  nameserver.
 
-Package: pdns-backend-lua
-Architecture: any
-Depends: pdns-server (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Provides: pdns-backend
-Description: Lua backend for PowerDNS
- PowerDNS is a versatile nameserver which supports a large number
- of different backends ranging from simple zonefiles to relational
- databases and load balancing/failover algorithms.
- PowerDNS tries to emphasize speed and security.
- .
- This package contains the Lua backend for the PowerDNS
- nameserver.
-
 Package: pdns-backend-remote
 Architecture: any
 Depends: pdns-server (= ${binary:Version}),
@@ -261,21 +245,6 @@
  This package contains the remote backend for PowerDNS. It is suitable
  for serving data acquired from an AF_UNIX, pipe, or HTTP connector.
 
-Package: pdns-backend-mydns
-Architecture: any
-Depends: pdns-server (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Provides: pdns-backend
-Description: MyDNS compatibility backend for PowerDNS
- PowerDNS is a versatile nameserver which supports a large number
- of different backends ranging from simple zonefiles to relational
- databases and load balancing/failover algorithms.
- PowerDNS tries to emphasize speed and security.
- .
- This package contains the MyDNS compatibility backend for the PowerDNS
- nameserver.
-
 Package: pdns-backend-tinydns
 Architecture: any
 Depends: pdns-server (= ${binary:Version}),
