## pdns 4.4.1

=== debian/changelog ===
pdns (4.4.1-1) unstable; urgency=medium

  * New upstream version 4.4.1 with important bugfixes
    * Drop upstream-applied patches
  * pdns-backend-odbc: remove duplicate schema file
  * Use Lua 5.3 again on platforms not having luajit
  * Remove outdated comment about make test
  * supported-algos test: add ED448
  * Enable PKCS11
  * I have re-synced our and upstreams packaging, so they are now
    as similar as possible.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 07 Feb 2021 15:01:51 +0000

pdns (4.4.0-3) unstable; urgency=medium

  * Build new pdns-backend-{lua2,lmdb} packages

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 05 Jan 2021 09:08:55 +0000

pdns (4.4.0-2) unstable; urgency=medium

  * ixfrdist: comment out default values
  * Update example config files for shipped backends
  * d/copyright: update
  * d/README.source: update, note upstream alignment
  * Add patch for future gcc-11 build failure

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 28 Dec 2020 02:12:28 +0000

pdns (4.4.0-1) unstable; urgency=medium

  * New upstream version 4.4.0 (Closes: #975590)
  * Remove upstream-applied patches
  * Bump Standards-Version to 4.5.1
  * Build with luajit on amd64, and Lua 5.1 on other archs.
    Once #908137 is fixed, we should enable luajit on arm64 too.
    Unfortunately we were building with Lua 5.3 earlier, so this
    is a feature "regression" of sorts - but it can be much faster.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 17 Dec 2020 20:51:32 +0000

pdns (4.3.1-2) unstable; urgency=medium

  * Apply upstream patch to improve MySQL 8 character handling

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 25 Nov 2020 21:16:04 +0000

pdns (4.3.1-1) unstable; urgency=medium

  * New upstream version 4.3.1
    Fixes CVE-2020-17482 (Closes: #970737)
  * Remove upstream-applied patch for MySQL stored procedures.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 22 Sep 2020 20:25:52 +0000

pdns (4.3.0-5) unstable; urgency=medium

  * postinst: remove user/group existence checks
  * geoip: update config example.
    Thanks to Remi Gacogne <remi.gacogne@powerdns.com>
  * Add test for mysql with stored procedures
  * Fix mysql stored procedures using upstream patch (Closes: #969091)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 03 Sep 2020 16:08:42 +0000
