=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pdns
 Section: net
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Maintainer: pdns packagers <pdns@packages.debian.org>
 Uploaders: Chris Hofstaedtler <zeha@debian.org>,
            Marc Haber <mh+debian-packages@zugschlus.de>
@@ -18,8 +18,10 @@
                libkrb5-dev,
                libldap2-dev,
                liblmdb-dev,
-               liblua5.3-dev,
+               liblua5.3-dev [!amd64],
+               libluajit-5.1-dev [amd64] | liblua5.3-dev,
                libmaxminddb-dev,
+               libp11-kit-dev,
                libpq-dev,
                libprotobuf-dev,
                libsodium-dev,
@@ -137,19 +139,33 @@
  .
  This package contains the LDAP backend for the PowerDNS nameserver.
 
-#Package: pdns-backend-lmdb
-#Architecture: any
-#Depends: pdns-server (= ${binary:Version}),
-#         ${misc:Depends},
-#         ${shlibs:Depends}
-#Provides: pdns-backend
-#Description: LMDB backend for PowerDNS
-# PowerDNS is a versatile nameserver which supports a large number
-# of different backends ranging from simple zonefiles to relational
-# databases and load balancing/failover algorithms.
-# PowerDNS tries to emphasize speed and security.
-# .
-# This package contains the LMDB backend for the PowerDNS nameserver.
+Package: pdns-backend-lmdb
+Architecture: any
+Depends: pdns-server (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Provides: pdns-backend
+Description: LMDB backend for PowerDNS
+ PowerDNS is a versatile nameserver which supports a large number
+ of different backends ranging from simple zonefiles to relational
+ databases and load balancing/failover algorithms.
+ PowerDNS tries to emphasize speed and security.
+ .
+ This package contains the LMDB backend for the PowerDNS nameserver.
+
+Package: pdns-backend-lua2
+Architecture: any
+Depends: pdns-server (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Provides: pdns-backend
+Description: Lua2 backend for PowerDNS
+ PowerDNS is a versatile nameserver which supports a large number
+ of different backends ranging from simple zonefiles to relational
+ databases and load balancing/failover algorithms.
+ PowerDNS tries to emphasize speed and security.
+ .
+ This package contains the Lua2 backend for the PowerDNS nameserver.
 
 Package: pdns-backend-geoip
 Architecture: any
