=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 export PDNS_TEST_NO_IPV6=1
 
 # Backends
-backends := bind ldap lmdb pipe gmysql godbc gpgsql gsqlite3 geoip remote random tinydns
+backends := bind ldap lmdb lua2 pipe gmysql godbc gpgsql gsqlite3 geoip remote random tinydns
 
 
 %:
@@ -34,6 +34,7 @@
 		--with-protobuf \
 		--enable-unit-tests \
 		--enable-lua-records \
+		--enable-experimental-pkcs11 \
 		--enable-reproducible \
 		--disable-silent-rules \
 		$(CONFIGURE_ARGS)
@@ -42,8 +43,6 @@
 	dh_auto_install
 	find debian/tmp/usr/lib -name '*.la' -delete
 	rm debian/tmp/etc/powerdns/ixfrdist.example.yml debian/tmp/etc/powerdns/pdns.conf-dist
-	# no binary package, yet
-	rm debian/tmp/usr/lib/*/pdns/liblmdbbackend.so
 
 override_dh_installsystemd:
 	dh_installsystemd --no-start -ppdns-server --name=pdns
@@ -61,7 +60,6 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	./debian/tests-source/run
-	echo Skipping make test, as dependencies are missing.
 	make check || (cat pdns/test-suite.log; false)
 endif
