## pdns 4.5.3

=== debian/changelog ===
pdns (4.5.3-1) unstable; urgency=medium

  * New upstream version 4.5.3

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 23 Jan 2022 15:01:20 +0000

pdns (4.5.2-1) unstable; urgency=medium

  * New upstream version 4.5.2

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 10 Nov 2021 09:56:06 +0000

pdns (4.5.1-1) unstable; urgency=medium

  * New upstream version 4.5.1
    Note: requires 64bit time_t support, thus not all current
    Debian architectures are supported.
  * NEWS: remove outdated words
  * NEWS: Note that lots of config parameters have changed names
  * Remove upstream-metadata-field-unknown Homepage
  * Update debian/copyright
  * Update gsqlite3, lua2 example config files

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 07 Nov 2021 17:27:59 +0000

pdns (4.4.1-4) unstable; urgency=medium

  * Disable "random" backend.
    Removed upstream in 4.6.0.
  * tests-source: improve waiting for pdns to start and give it more time.
    This hopefully fixes the reported FTBFS on loaded machines.
    (Closes: #998547)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 07 Nov 2021 16:31:30 +0000

pdns (4.4.1-3) unstable; urgency=medium

  * Upload to unstable.
  * Unconditionally depend on libsystemd-dev.
    Already was required by d/rules.

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 20 Aug 2021 16:33:09 +0000

pdns (4.4.1-2) experimental; urgency=medium

  * Build with fixed luajit on arm64

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 17 Feb 2021 16:29:25 +0000
