=== debian/control ===
--- 
+++ 
@@ -18,8 +18,7 @@
                libkrb5-dev,
                libldap2-dev,
                liblmdb-dev,
-               liblua5.3-dev [!amd64],
-               libluajit-5.1-dev [amd64] | liblua5.3-dev,
+               libluajit-5.1-dev (>= 2.1.0~beta3+dfsg-5.3) [amd64 arm64] | libluajit-5.1-dev [amd64] | liblua5.3-dev,
                libmaxminddb-dev,
                libp11-kit-dev,
                libpq-dev,
@@ -27,13 +26,13 @@
                libsodium-dev,
                libsqlite3-dev,
                libssl-dev,
-               libsystemd-dev [linux-any],
+               libsystemd-dev,
                libyaml-cpp-dev (>= 0.5),
                pkg-config,
                po-debconf,
                protobuf-compiler,
                ragel,
-               systemd [linux-any],
+               systemd,
                unixodbc-dev (>= 2.3.1)
 Vcs-Git: https://salsa.debian.org/dns-team/pdns.git
 Vcs-Browser: https://salsa.debian.org/dns-team/pdns
