## pdns 4.6.3

=== debian/changelog ===
pdns (4.6.3-1) unstable; urgency=medium

  * New upstream version 4.6.3

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 14 Jul 2022 09:20:27 +0000

pdns (4.6.2-1) unstable; urgency=medium

  * New upstream version 4.6.2

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 14 Apr 2022 20:06:44 +0000

pdns (4.6.1-1) unstable; urgency=medium

  * New upstream version 4.6.1, fixes CVE-2022-27227

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 28 Mar 2022 16:48:27 +0000
