## pdns 4.7.3

=== debian/changelog ===
pdns (4.7.3-2) unstable; urgency=medium

  * Build-Depend on architecture-is-64-bit (for time_t) (Closes: #1011259)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 25 Dec 2022 10:43:16 +0000

pdns (4.7.3-1) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Add support for riscv64 arch (Closes: #1025039)

  [ Chris Hofstaedtler ]
  * New upstream version 4.7.3

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 09 Dec 2022 15:56:00 +0000

pdns (4.7.2-1) unstable; urgency=medium

  * New upstream version 4.7.2
  * Set explicit architecture list, to 64bit-time_t architectures.
    A better way of restricting where to build would be very welcome.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 01 Nov 2022 14:24:15 +0000

pdns (4.7.1-1) unstable; urgency=medium

  * New upstream version 4.7.1
  * Update (and trim) NEWS

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 29 Oct 2022 18:34:58 +0000
