=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Maintainer: pdns packagers <pdns@packages.debian.org>
 Uploaders: Chris Hofstaedtler <zeha@debian.org>,
            Marc Haber <mh+debian-packages@zugschlus.de>
-Build-Depends: bison,
+Build-Depends: architecture-is-64-bit,
+               bison,
                curl,
                debhelper-compat (= 13),
                default-libmysqlclient-dev,
