=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 export PDNS_TEST_NO_IPV6=1
 
 # Backends
-backends := bind ldap lmdb lua2 pipe gmysql godbc gpgsql gsqlite3 geoip remote random tinydns
+backends := bind ldap lmdb lua2 pipe gmysql godbc gpgsql gsqlite3 geoip remote tinydns
 
 
 %:
