=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,13 @@
 Restrictions: needs-root
 
 Tests: smoke-mysql
+Depends: dnsutils,
+         mariadb-server,
+         pdns-backend-mysql,
+         pdns-server
+Restrictions: needs-root, isolation-container
+
+Tests: smoke-mysql-sp
 Depends: dnsutils,
          mariadb-server,
          pdns-backend-mysql,
