## pdns 4.8.1

=== debian/changelog ===
pdns (4.8.1-1build1) mantic; urgency=medium

  * Rebuild against new libyaml-cpp0.8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Sep 2023 07:20:07 +0200

pdns (4.8.1-1) unstable; urgency=medium

  * autopkgtest: try to workaround isolation restrictions in debci
  * New upstream version 4.8.1

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 09 Jul 2023 20:50:25 +0200

pdns (4.8.0-2) unstable; urgency=medium

  [ Peter van Dijk ]
  * Use sdig for smoke tests. Avoids errors from dig with certain
    /etc/resolv.conf content.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 04 Jul 2023 10:42:01 +0200

pdns (4.8.0-1) unstable; urgency=medium

  * New upstream version 4.8.0
  * Lessen lintian override restrictions

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 27 Jun 2023 16:42:28 +0200
