## pdns 4.8.3

=== debian/changelog ===
pdns (4.8.3-3) unstable; urgency=medium

  * tests: Abort if IPC namespaces do not work (Closes: #1059995)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 21 Jan 2024 12:11:54 +0100

pdns (4.8.3-2) unstable; urgency=medium

  * Automatically discover systemdsystemunitdir
  * Switch from pkg-config to pkgconf

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 21 Oct 2023 19:14:52 +0200

pdns (4.8.3-1) unstable; urgency=medium

  * New upstream version 4.8.3

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 06 Oct 2023 03:32:43 +0200

pdns (4.8.2-2) unstable; urgency=medium

  * Drop debci workaround introduced in 4.8.1-2.
    Mitigated in debci.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 11 Sep 2023 15:54:49 +0200

pdns (4.8.2-1) unstable; urgency=medium

  * New upstream version 4.8.2
  * Apply wrap-and-sort -kas
  * Update Vcs-* headers for move to debian namespace

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 07 Sep 2023 12:17:24 +0200

pdns (4.8.1-2) unstable; urgency=medium

  [ Andreas Jakum ]
  * Add missing tools to pdns-tools package description

  [ Chris Hofstaedtler ]
  * Properly cleanup after tests-source/smoke-lmdb (Closes: #1048680)
  * tests: add autopkgtest for lmdbbackend
  * autopkgtest: Improve error reporting
  * autopkgtest: Workaround ownership issue for LMDB files

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 24 Aug 2023 17:46:32 +0200
