=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 # see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+
+export deb_systemdsystemunitdir = $(shell pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)
 
 # Vendor and version
 CXXFLAGS += -DPACKAGEVERSION='"$(DEB_VERSION).$(DEB_VENDOR)"'
@@ -26,7 +28,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--sysconfdir=/etc/powerdns \
-		--enable-systemd --with-systemd=/lib/systemd/system \
+		--enable-systemd --with-systemd=/$(deb_systemdsystemunitdir) \
 		--with-dynmodules="$(backends)" \
 		--with-modules="" \
 		--enable-ixfrdist \
